package main

import (
	"time"

	timertxt "git.bullercodeworks.com/brian/go-timertxt"
)

func (a *AppState) SetTimerFinished(id int, end time.Time) error {
	var t *timertxt.Timer
	var err error
	if t, err = a.TimerList.GetTimer(id); err != nil {
		return err
	}
	t.FinishDate = end
	t.Finished = true
	return nil
}

func (a *AppState) LoadTimerList() error {
	var err error
	var tl timertxt.TimerList
	tl, err = timertxt.LoadFromFilename(a.getTimerFile())
	tl.Sort(timertxt.SORT_UNFINISHED_START)
	a.TimerList = &tl
	return err
}

func (a *AppState) WriteList() error {
	return a.TimerList.WriteToFilename(a.getTimerFile())
}

/*
func (a *AppState) LoadDoneList() error {
	var err error
	var tl timertxt.TimerList
	tl, err = timertxt.LoadFromFilename(a.getDoneFile())
	a.DoneList = &tl
	return err
}

func (a *AppState) WriteDoneList() error {
	return a.DoneList.WriteToFilename(a.getDoneFile())
}
*/
